/**
 * 
 */
package org.ow2.petals.tools.webconsole.business;

import org.ow2.petals.tools.webconsole.services.PetalsServiceException;
import org.ow2.petals.tools.webconsole.services.management.ManagementService;
import org.ow2.petals.tools.webconsole.services.management.ManagementServiceFactory;
import org.ow2.petals.tools.webconsole.util.StringHelper;
import org.w3c.dom.Document;

/**
 * @author aruffie
 *
 */
public class ServerBBean {

    /**
     * Load wsdl file thank to management service.
     * Return the wsdl content below String format.
     * @param serviceName
     * @param endpointName
     * @param hostname
     * @param jmxJNDIPort
     * @param jmxLogin
     * @param jmxPassword
     * @return String
     * @throws PetalsServiceException
     */
    public String loadWsdlEndpoint(final String serviceName, final String endpointName, final String hostname, final Integer jmxJNDIPort, final String jmxLogin, final String jmxPassword) throws PetalsServiceException{
        ManagementService service = (ManagementService) ManagementServiceFactory.getInstance().getService(hostname, jmxJNDIPort, jmxLogin, jmxPassword);
        final Document document = service.getDocument(serviceName,endpointName);
        if(document != null){
            return StringHelper.prettyPrint(document);
        } else {
            return "";
        }
    }
}
