/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.tools.webconsole.services;


/**
 * @author aruffie
 * Abstract factory, that all
 * service factories inherite
 * of this class, to override
 * the getService and getInstance
 * methods
 */
public abstract class AbstractServiceFactory {

    public synchronized PetalsService getService(String hostname, Integer jmxJNDIPort,
            String jmxLogin, String jmxPassword)
            throws PetalsServiceException{
        throw new RuntimeException("AbstractServiceFactory is abstract, need to be overriden");
    }
    public synchronized PetalsService getService() throws PetalsServiceException{
        throw new RuntimeException("AbstractServiceFactory is abstract, need to be overriden");
    }
}
