/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.tools.webconsole.services.proxyfication;

import java.io.File;
import java.io.IOException;
import java.net.URISyntaxException;

import org.ow2.easywsdl.wsdl.api.WSDLException;
import org.ow2.petals.tools.webconsole.services.PetalsService;
import org.ow2.petals.tools.webconsole.services.PetalsServiceException;

/**
 * @author aruffie
 *
 */
public interface ProxyficationService extends PetalsService{

    public static final String COMPONENTNAME = "petals-bc-soap";
    public static final String RESTMODE = "REST";
    public static final String SOAPMODE = "SOAP";
    
    public File addProxy(boolean soap,boolean rest, final String serviceName,
            final String soapAddr, final String endpointNameProvider,
            final String wsdlVersion, final String interfaceNameProvider,
            final String interfaceNameNsUrlProvider, final String timeout,
            final String addrSUProvide, final String namespaceProvider,
            final String soapConsumeURI, final String restConsumeURI,
            final String restNSPrefix, final String restNSURI,
            final String restRMPrefixResponse, final File wsdlFile,
            final String proxyName, final File repository,
            final String restConsumeSUName,final String soapConsumeSUName,
            File wsdlProvideFile) throws PetalsServiceException;
    
    public File modifySoapAddressWSDL(final File wsdlFile,
            final File repository,
            File wsdlProvide,
            final String addrSUProvide) throws IOException, WSDLException, URISyntaxException;

}
