package org.ow2.petals.tools.webconsole.to;

import java.util.ArrayList;
import java.util.List;

public class ComponentTO
{
    public static String BC_TYPE = "bindingcomponent";
    public static String SE_TYPE = "serviceengine";
    
    private String name;

    private String state;

    private String type;

    private String description;

    private String objectName;
    
	private List<EndPointTO> endpoints;
	
	private static String[] VALUES = {"Stopped","Started","Shutdown","Unknown"};
	
	public List<EndPointTO> getEndpoints() {
        return endpoints;
    }

    public void setEndpoints(List<EndPointTO> endpoints) {
        this.endpoints = endpoints;
    }

    
   
	public static String[] getVALUES() {
        return VALUES;
    }

    public static void setVALUES(String[] values) {
        VALUES = values;
    }

    public String getName()
	{
		return name;
	}
	public void setName(String name)
	{
		this.name = name;
	}
	
	public ComponentTO(){
		super();
		this.endpoints = new ArrayList<EndPointTO>();
	}

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getObjectName() {
        return objectName;
    }

    public void setObjectName(String objectName) {
        this.objectName = objectName;
    }

    public ComponentTO(String name, String state) {
        super();
        this.name = name;
        this.state = state;
    }

    public ComponentTO(String description, List<EndPointTO> endpoints, String name,
            String objectName, String state, String type) {
        super();
        this.description = description;
        this.endpoints = endpoints;
        this.name = name;
        this.objectName = objectName;
        this.state = state;
        this.type = type;
    }

    public ComponentTO(String description, String name, String objectName, String state, String type) {
        super();
        this.endpoints = new ArrayList<EndPointTO>();
        this.description = description;
        this.name = name;
        this.objectName = objectName;
        this.state = state;
        this.type = type;
    }
    
    
    public boolean getCanBeUninstall(){
        if(this.state.equals(VALUES[2])||
             this.state.equals(VALUES[3])){
            return true;
        }
        return false;
    }
    
    public boolean getCanBeShutdown(){
        if(this.state.equals(VALUES[0])){
            return true;
        }
        return false;
    }
    
    public boolean getCanBeStarted(){
        if(this.state.equals(VALUES[0])||
           this.state.equals(VALUES[2])){
            return true;
        }
        return false;
    }
	
    public boolean getCanBeStopped(){
        if(this.state.equals(VALUES[1])){
            return true;
        }
        return false;
    }
}
