package org.ow2.petals.tools.webconsole.to;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class DomainTO
{
	private String name;
	private String description;
	private List<ServerTO> servers;
	private String mode;
	private String topologyType;
	private boolean networkSynchronized;
	
	public String getName()
	{
		return name;
	}
	public void setName(String name)
	{
		this.name = name;
	}
	public List<ServerTO> getServers()
	{
	    Collections.sort(this.servers);
		return this.servers;
	}
	public void setServers(List<ServerTO> servers)
	{
		this.servers = servers;
	}
    public String getDescription() {
        return description;
    }
    public void setDescription(String description) {
        this.description = description;
    }
    public boolean isNetworkSynchronized() {
        return networkSynchronized;
    }
    public void setNetworkSynchronized(boolean networkSynchronized) {
        this.networkSynchronized = networkSynchronized;
    }
    
    
    
    public String getTopologyType() {
        return topologyType;
    }
    public void setTopologyType(String topologyType) {
        this.topologyType = topologyType;
    }
    public String getMode() {
        return mode;
    }
    public void setMode(String mode) {
        this.mode = mode;
    }
    public DomainTO() {
        servers = new ArrayList<ServerTO>();
    }
    public DomainTO(String description, String mode, String name, boolean networkSynchronized,
            List<ServerTO> servers, String topologyType) {
        super();
        this.description = description;
        this.mode = mode;
        this.name = name;
        this.networkSynchronized = networkSynchronized;
        this.servers = servers;
        this.topologyType = topologyType;
    }
    
    public ServerTO findServer(final String serverName){
        for(ServerTO server : this.servers){
            if(server.getName().equals(serverName)){
                return server;
            }
        }
        return null;
    }
    
    public ServerTO findServerbyHost(final String serverHost){
        for(ServerTO server : this.servers){
            if(server.getHost().equals(serverHost)){
                return server;
            }
        }
        return null;
    }
    
    public ServerTO findRMIServer() {
        for(final ServerTO server : servers){
            if(server.isInstalledRmiComponent()){
                return server;
            }
        }
        return null;
    }
}
