package org.ow2.petals.tools.webconsole.uibeans;

import java.util.Locale;

import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.ow2.opensuit.core.session.OpenSuitSession;

/**
 * Manages the user locale from cookie named 'lang'
 * 
 * @author ofabre - eBM Websourcing
 *
 */
public class LocaleManager
{
	public Locale getLocale()
	{
		HttpServletRequest request = OpenSuitSession.getCurrentRequest();
		Cookie[] cookies = request.getCookies();
		for(int i=0; i<cookies.length; i++)
		{
			if(cookies[i].getName().equals("lang"))
			{
				return new Locale(cookies[i].getValue());
			}
		}
		
		return null;
	}
	public void setLocale(Locale locale)
	{
		HttpServletRequest request = OpenSuitSession.getCurrentRequest();
		HttpServletResponse response = OpenSuitSession.getCurrentResponse();
		Cookie langCookie = new Cookie("lang", locale.getLanguage());
		langCookie.setPath(request.getContextPath());
		response.addCookie(langCookie);
	}
}
